SUBROUTINE FIELD190
!use consts
use global
implicit none  
    
integer :: iz,iloc,i
real(DP) :: C1,trial
save

       DO 1 IZ=1,NLAYST
        GFRR(1,IZ)=0.
    1 CONTINUE
!-----END DP OCT 1996
      DO 10 ILOC=1,NLOC
      FRR(ILOC,1)=0.
      TR(ILOC,1)=0.
   10 CONTINUE

!********** CALCULATION OF GFRR
!-----DP OCT 1996
      DO 70 IZ=1,NLAYST
        GFRR(2,IZ)=2.*PI/(dLOG(RMR(2)/RR(2))/RLAMR(IZ)+RMPIPE*2.*PI)
        DO 40 I=3,IMAXR
          GFRR(I,IZ)=2.*PI*RLAMR(IZ)/dLOG(RMR(I)/RMR(I-1))
   40   CONTINUE
        GFRR(IMAXR1,IZ)=0.
!********** CALCULATION OF CINR
        DO 60 I=2,IMAXR
          C1=CR(IZ)*PI*(RR(I+1)**2-RR(I)**2)
          CINR(I,IZ)=1./C1
   60   CONTINUE
        CRTOT(IZ)=CR(IZ)*PI*(R1*R1-R0*R0)
   70 CONTINUE
      TR1=0.2*R1*R1*CR(1)/RLAMR(1)
      DO 80 IZ=2,NLAYST
        TRIAL=0.2*R1*R1*CR(IZ)/RLAMR(IZ)
        IF (TRIAL.GT.TR1) TR1=TRIAL
   80 CONTINUE

RETURN
END subroutine field190